The Spellhowler is just between the Human Sorcerer or the Necromancer. In other words, they have both the strong magical strength of a Sorcerer and the Black Magic of a Necromancer. They exterminate an enemy with a single blow but because of their weak stamina they need help from others. However it is easier to fight alone compared to a Sorcerer, because they can use Black Magic.
They have basic skills such as attack magic which damages their enemies greatly and various Black Magic.
To be a Spellhowler, your level must be over 40 and you need to collect the Mark of the Scholar, the Mark of Fate, and the Mark of the Magus.
Ask about marks.
Return